Download it now!
Bug 32598 - EasyHack: [Impress] Changing Video/Sound playback options does not set document changed
Summary: EasyHack: [Impress] Changing Video/Sound playback options does not set docume...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.0 Beta1
Hardware: All All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard: target:3.6.0
Keywords: easyHack
Depends on:
Blocks:
 
Reported: 2010-12-23 00:53 UTC by Eliot the Cougar
Modified: 2015-12-18 09:57 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eliot the Cougar 2010-12-23 00:53:14 UTC
1. Create new empty presentation
2. Insert any video
3. Save document
4. Select the video
5. Try to change:
 a. Loop
 b. Mute
 c. Volume
 d. Zoom
6. Unselect video

Save button is grayed out... Document status is "unchanged"... Obviously, Save is still possible if you do any action outside of the video: type, move, resize, etc...

PS: Tested on LibO 3.3.0 RC2, but it's missing in the bugtracker...
Comment 1 Skyler Hawthorne 2011-03-24 00:55:29 UTC
I've attempted to make this my first bug fix for LibreOffice, but I've encountered some difficulties.

From what I can tell, this is handled in the MediaViewer class (avmedia/source/viewer/mediawindow.cxx), but there's no way to access the document that the MediaWindow is in--that is, unless I'm mistaken (please tell me if I am!), there is no way back to the document from within the MediaWindow class.

This will obviously be necessary if we are to mark the document as modified. But trying to trace the steps from "Insert Movie" to MediaWindow instantiation has proven difficult. From what I can tell, most of the code that uses MediaWindow just uses the static "createPlayer()" function, which does not give us an object to work with. The only class I've been able to find that actually instantiates a MediaWindow object is MediaPlayer; but that doesn't have any reference back to the current document either, and I can't find anything that instantiates a MediaPlayer object.

Does anyone have any suggestions or insight?
Comment 2 Eliot the Cougar 2011-12-21 02:53:39 UTC
It is not fixed in LODev 3.5...

Additionally, LO crashes every time when I start presentation with a video (tested several codecs and Uncompressed video), at least on Windows7 x64...
Comment 3 Björn Michaelsen 2011-12-23 11:33:51 UTC Comment hidden (obsolete)
Comment 4 Eliot the Cougar 2011-12-23 12:51:15 UTC
Dear Robot, as I said earlier, this bug still persists in LODev 3.5 beta 1...
Marking as new again, even though it's not new...
Comment 5 Not Assigned 2012-03-08 13:17:46 UTC
Katarina Machalkova committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=84665adcea8e80bedad15916a183574344a3d146

fdo#32598: Changing media playback options sets modified flag
Comment 6 Rob Snelders 2012-04-09 07:25:07 UTC
In the development-branch for 3.6 it is solved. So marking this as resolved
Comment 7 Robinson Tryon (qubit) 2015-12-18 09:57:20 UTC
Migrating Whiteboard tags to Keywords: (EasyHack)
[NinjaEdit]